print "\nTesting PyKDE module imports\n"
try:
    import pykdeconfig
except:
    print "Can't find pykdeconfig.py - please check installation"
    raise    

pykdecfg = pykdeconfig.Configuration ()

#modules = ["dcop", "kdecore", "kdesu", "kdefx", "kdeui", "kio", "kfile", "kparts", "khtml", "kjs", "kspell", "kdeprint"]
print "Modules built:"
print " ",pykdecfg.pykde_modules
print
print "Importing:"
print

for mod in pykdecfg.pykde_modules.split():
    print mod
    if mod != "kdesu":
        exec ("import " + mod)

print
